%define module_name Web-Authenticate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Cookie.pm) perl(Carp.pm) perl(Crypt/PBKDF2.pm) perl(DBIx/Raw.pm) perl(DateTime.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(Mouse.pm) perl(Mouse/Role.pm) perl(Mouse/Util/TypeConstraints.pm) perl(Ref/Util.pm) perl(Session/Token.pm) perl(strict.pm) unzip
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: Allows web authentication using cookies and a storage engine.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SR/SRCHULO/%{module_name}-%{version}.zip
BuildArch: noarch

%description
This modules allows easy management of user authentication via cookies, redirects, a storage engine, a session handler, and cookie handler.
It is flexible so you can rewrite any of those pieces for your applications' needs.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md LICENSE Changes
%perl_vendor_privlib/W*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- regenerated from template by package builder

* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.008-alt1
- regenerated from template by package builder

* Thu Jan 12 2017 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- initial import by package builder

